package im.zhaojun.system.mapper;

import im.zhaojun.system.model.Vehicle;
import im.zhaojun.system.model.Vehicles;
import im.zhaojun.system.model.VideoDeviceTraffic;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TraffFlowMapper {
     int add(Vehicles excelModel);

    int insertlist(Vehicle vehiclesdetail);

    List<Map> selectFiveAndDayFlow(String videoid);

    List<Map> selectFiveAndTypeDayFlow(String videoid);
    List<VideoDeviceTraffic>  getfiveFlowByVideoid(String videoid);

    Integer  statisVehiclesByDay();

    Integer  deleteBeforeTwoMonthVehiclesDetails();

    Integer  deleteVehiclesByDay();

    Integer  insertOrUpdatevehicleTodaystatistic();

    String selectSbtddspsrRtspByVideoid(String videoid);

    List<VideoDeviceTraffic>  getTraffVicleBystatus();
}
